gtk.IconView
Prev | The gtk Class Reference | Next

## gtk.IconView

gtk.IconView — a widget which displays a list of icons in a grid (new in PyGTK 2.6)

## Synopsis

    class gtk.IconView(gtk.Container, gtk.CellLayout):
        gtk.IconView(model=None)
        def set_model(model=None)
        def get_model()
        def set_text_column(column)
        def get_text_column()
        def set_markup_column(column)
        def get_markup_column()
        def set_pixbuf_column(column)
        def get_pixbuf_column()
        def get_path_at_pos(x, y)
        def get_item_at_pos(x, y)
        def set_cursor(path, cell=None, start_editing=False)
        def get_cursor()
        def selected_foreach(func, data)
        def set_selection_mode(mode)
        def get_selection_mode()
        def set_orientation(orientation)
        def get_orientation()
        def set_columns(columns)
        def get_columns()
        def set_item_width(item_width)
        def get_item_width()
        def set_spacing(spacing)
        def get_spacing()
        def set_row_spacing(row_spacing)
        def get_row_spacing()
        def set_column_spacing(column_spacing)
        def get_column_spacing()
        def set_margin(margin)
        def get_margin()
        def select_path(path)
        def unselect_path(path)
        def path_is_selected(path)
        def get_selected_items()
        def select_all()
        def unselect_all()
        def item_activated(path)
        def scroll_to_path(path, use_align, row_align, col_align)
        def get_visible_range()
        def enable_model_drag_source(start_button_mask, targets, actons)
        def enable_model_drag_dest(targets, actions)
        def unset_model_drag_source()
        def unset_model_drag_dest()
        def set_reorderable(reorderable)
        def get_reorderable()
        def set_drag_dest_item(path, pos)
        def get_drag_dest_item()
        def get_dest_item_at_pos(drag_x, drag_y)
        def create_drag_icon(path)
        def convert_widget_to_bin_window_coords(widget_x, widget_y)
        def set_tooltip_cell(tooltip, path, cell)
        def set_tooltip_column(column)
        def get_tooltip_column()
        def set_tooltip_item(tooltip, path)
        def get_item_row(path)
        def get_item_column(path)
        def set_item_orientation(orientation)
        def get_item_orientation()
        def set_item_padding(item_padding)
        def get_item_padding()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.IconView (implements gtk.CellLayout)

## Implemented Interfaces

`gtk.IconView` implements `gtk.Buildable`

## gtk.IconView Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

"column-spacing" | Read-Write | The space (in pixels) inserted between grid columns. Allowed values: >= 0. Default value: 6. Available in GTK+ 2.6 and above.
"columns" | Read-Write | The number of columns in a row. If it is -1, the number of columns will be chosen automatically to fill the available width. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.
"item-orientation" | Read-Write | Specifies how the cells (i.e. the icon and the text) of the item are positioned relative to each other. Default value: `gtk.ORIENTATION_VERTICAL`. Available in GTK+ 2.22 and above.
"item-padding" | Read-Write | Specifies the padding around each of the icon view's item. . Available in GTK+ 2.22 and above.
"item-width" | Read-Write | The width used for each item. If it is -1 the width the largest item is used. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.
"margin" | Read-Write | The space (in pixels) inserted at the edges of the icon view. Allowed values: >= 0. Default value: 6. Available in GTK+ 2.6 and above.
"markup-column" | Read-Write | The number of the model column containing markup information to be displayed. If this property and the "text-column" property are both set to column numbers, this overrides the text column. If both are set to -1, no text is displayed. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.
"model" | Read-Write | The `gtk.TreeModel` for the icon view. Available in GTK+ 2.6 and above.
"orientation" | Read-Write | How the text and icon of each item are positioned relative to each other. Default value: `gtk.ORIENTATION_VERTICAL`. Available in GTK+ 2.6 and above.
"pixbuf-column" | Read-Write | The number of the model column containing the pixbufs that are displayed. Setting this property to -1 turns off the display of pixbufs. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.
"reorderable" | Read-Write | If `True` the icon view is reorderable. Default value: `False`. Available in GTK+ 2.8 and above.
"row-spacing" | Read-Write | The space (in pixels) inserted between grid rows. Allowed values: >= 0. Default value: 6. Available in GTK+ 2.6 and above.
"selection-mode" | Read-Write | The selection mode of the icon view. If the mode is `gtk.SELECTION_MULTIPLE`, rubberband selection is enabled, for the other modes, only keyboard selection is possible. Default value: `gtk.SELECTION_SINGLE`. Available in GTK+ 2.6 and above.
"spacing" | Read-Write | The space (in pixels) inserted between cells of an item. Allowed values: >= 0. Default value: 0. Available in GTK+ 2.6 and above.
"text-column" | Read-Write | The number of the model column containing the text that is displayed. If this property and the "markup-column" property are both set to -1, no text is displayed. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.
"tooltip-column" | Read-Write | The number of the model column containing the tooltip text for the items.

## gtk.IconView Style Properties

gtk.Widget Style Properties

"selection-box-alpha" | Read | The opacity of the selection box. Default value: 64. Available in GTK+ 2.6 and above.
"selection-box-color" | Read | The color of the selection box. Available in GTK+ 2.6 and above.

## gtk.IconView Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

"activate-cursor-item" | `def callback(`iconview`, `user_param1`, `...`)`
"item-activated" | `def callback(`iconview`, `path`, `user_param1`, `...`)`
"move-cursor" | `def callback(`iconview`, `step`, `number`, `user_param1`, `...`)`
"select-all" | `def callback(`iconview`, `user_param1`, `...`)`
"select-cursor-item" | `def callback(`iconview`, `user_param1`, `...`)`
"selection-changed" | `def callback(`iconview`, `user_param1`, `...`)`
"set-scroll-adjustments" | `def callback(`iconview`, `hadj`, `vadj`, `user_param1`, `...`)`
"toggle-cursor-item" | `def callback(`iconview`, `user_param1`, `...`)`
"unselect-all" | `def callback(`iconview`, `user_param1`, `...`)`

## Description

### Note

This widget is available in PyGTK 2.6 and above.

The `gtk.IconView` widget provides an alternative view of a `gtk.ListStore` model. It displays the model as a grid of icons with labels. Like `gtk.TreeView`, you can select one or multiple items (depending on the selection mode, see the `set_selection_mode`() method for more information). In addition to selection with the arrow keys, `gtk.IconView` supports rubberband selection, which is controlled by dragging the pointer.

## Constructor

        gtk.IconView(model=None)

`model` : | A `gtk.TreeModel`, or `None`
Returns : | a new `gtk.IconView` widget.

### Note

This constructor is available in PyGTK 2.6 and above.

Creates a new `gtk.IconView` widget. If `model` is specified and not `None` it should specify a `gtk.TreeModel` to be used as the model.

## Methods

### gtk.IconView.set_model

        def set_model(model=None)

`model` : | a `gtk.TreeModel` or `None`

### Note

This method is available in PyGTK 2.6 and above.

The `set_model`() method sets the "model" property to the `gtk.TreeModel` specified by `model`. If `model` is `None` the old model will be unset.

### gtk.IconView.get_model

        def get_model()

Returns : | The `gtk.TreeModel` used by the cell view or `None`.

### Note

This method is available in PyGTK 2.6 and above.

The `get_model`() method returns the value of the "model" property which contains the `gtk.TreeModel` used by the cell view. If no model is being used this method returns `None`.

### gtk.IconView.set_text_column

        def set_text_column(column)

`column` : | The index of a column in the model or -1 to unset the column

### Note

This method is available in PyGTK 2.6 and above.

The `set_text_column`() method sets the "text-column" property to the value of `column` which should be the index of a column in the model containing strings to be used for text. If `column` is -1 the text column is unset.

### gtk.IconView.get_text_column

        def get_text_column()

Returns : | The index of a model's column or -1 if unset.

### Note

This method is available in PyGTK 2.6 and above.

The `get_text_column`() method returns the value of the "text-column" property which contains the index of the column in the model that provides strings to be used for text. If the "text-column" property contains -1 then no column is used for text.

### gtk.IconView.set_markup_column

        def set_markup_column(column)

`column` : | The index of a column in the model or -1.

### Note

This method is available in PyGTK 2.6 and above.

The `set_markup_column`() method sets the "markup-column" property to the value specified by `column`. The "markup-column" property indicates the index of a column in the model to be used for markup information. If `column` is -1 the markup column will be unset. If the markup column is set, it overrides the text column set by the `set_text_column`() method.

### gtk.IconView.get_markup_column

        def get_markup_column()

Returns : | the index of the model column containing markup or -1.

### Note

This method is available in PyGTK 2.6 and above.

The `get_markup_column` method returns the value of the "markup-column" property which contains the index of the column in the model that contains the Pango markup for text. if the "markup-column" property is -1, the markup column is unset.

### gtk.IconView.set_pixbuf_column

        def set_pixbuf_column(column)

`column` : | the index of a model column or -1

### Note

This method is available in PyGTK 2.6 and above.

The `set_pixbuf_column`() method sets the "pixbuf-column" property to the value of `column`. If column >= 0 the icon view `gtk.gdk.Pixbuf` objects will be retrieved from the specified column. If `column` is -1 then no pixbufs will be used,

### gtk.IconView.get_pixbuf_column

        def get_pixbuf_column()

Returns : | The index of a column in the model or -1

### Note

This method is available in PyGTK 2.6 and above.

The `get_pixbuf_column`() returns the value of the "pixbuf-column" property which contains the index of the model column use to to retrieve `gtk.gdk.Pixbuf` objects to display. If the "pixbuf-column" property is -1 no pixbufs will be retrieved.

### gtk.IconView.get_path_at_pos

        def get_path_at_pos(x, y)

`x` : | the x coordinate
`y` : | the y coordinate
Returns : | the path at the specified point or `None`.

### Note

This method is available in PyGTK 2.6 and above.

The `get_path_at_pos`() method returns the model path of the icon located at the coordinates specified by (`x`, `y`). This method returns `None` if there is no icon at the specified location.

### gtk.IconView.get_item_at_pos

        def get_item_at_pos(x, y)

`x` : | the x coordinate
`y` : | the y coordinate
Returns : | a 2-tuple comtaining the path and the cell renderer at the specified point or `None` if the is no item at the position.

### Note

This method is available in PyGTK 2.8 and above.

The `get_item_at_pos`() method returns a 2-tuple containing the model path and cell renderer of the icon located at the coordinates specified by (`x`, `y`). This method returns `None` if there is no item at the specified location.

### gtk.IconView.set_cursor

        def set_cursor(path, cell=None, start_editing=False)

`path` : | a tree path
`cell` : | a `gtk.CellRenderer` or `None`
`start_editing` : | if `True` the specified cell should start being edited

### Note

This method is available in PyGTK 2.8 and above.

The `set_cursor`() method sets the current keyboard focus to be at the location specified by `path`, and selects it. This is useful when you want to focus the user's attention on a particular item. If `cell` is not `None`, then focus is given to the specified cell. Additionally, if `start_editing` is `True`, then editing should be started in the specified cell.

This method is often followed by `gtk.Widget.grab_focus`() in order to give keyboard focus to the icon view. Please note that editing can only happen when the icon view is realized.

### Note

In PyGTK 2.8 `cell` and `start_editing` must be specified. Also `cell` cannot be `None`.

### gtk.IconView.get_cursor

        def get_cursor()

Returns : | a 2-tuple containing the current cursor path and cell renderer or `None` if the cursor isn't set.

### Note

This method is available in PyGTK 2.8 and above.

The `get_cursor`() method returns a 2-tuple containing the model path and `gtk.CellRenderer` at the current cursor location. This method returns `None` if the cursor is not set. If no cell renderer has focus then `None` will be returned for the cell renderer value.

### gtk.IconView.selected_foreach

        def selected_foreach(func, data)

`func` : | a callback function or method.
`data` : | User data to pass to `func`.

### Note

This method is available in PyGTK 2.6 and above.

The `selected_foreach`() method calls the callback function or method specified by `func` for each selected icon. The signature of `func` is:

      def func(iconview, path, user_data):

where `iconview` is the `gtk.IconView`, `path` is the tree path of the icon row and `user_data` is data.

### gtk.IconView.set_selection_mode

        def set_selection_mode(mode)

`mode` : | The selection mode.

### Note

This method is available in PyGTK 2.6 and above.

The `set_selection_mode`() method sets the "selection-mode" property to the value of `mode`. `mode` should be one of the GTK Selection Mode Constants.

### gtk.IconView.get_selection_mode

        def get_selection_mode()

Returns : | the selection mode.

### Note

This method is available in PyGTK 2.6 and above.

The `get_selection_mode`() method returns the value of the "selection-mode" property which contains one of the GTK Selection Mode Constants.

### gtk.IconView.set_orientation

        def set_orientation(orientation)

`orientation` : | the relative position of the icon and text.

### Note

This method is available in PyGTK 2.6 and above.

The `set_orientation`() method sets the "orientation" property to the value of `orientation`. `orientation` should contain one of the GTK Orientation Constants. The "orientation" property indicates the relative positioning of the icon and text.

### gtk.IconView.get_orientation

        def get_orientation(, )

Returns : | the relative position of the icon and text.

### Note

This method is available in PyGTK 2.6 and above.

The `get_orientation`() method returns the value of the "orientation" property that indicates the relative position between the icon and text. See the `set_orientation`() method for more information.

### gtk.IconView.set_columns

        def set_columns(columns)

`columns` : | the number of columns in a row.

### Note

This method is available in PyGTK 2.6 and above.

The `set_columns`() method sets the "columns" property to the value of `columns`. `columns` should contain the number of columns to be displayed in each row or -1 to fit as many columns as possible per row.

### gtk.IconView.get_columns

        def get_columns()

Returns : | the number of columns per row or -1.

### Note

This method is available in PyGTK 2.6 and above.

The `get_columns`() method returns the value of the "columns" property that indicates the number of columns per row. See the `set_columns`() method for more information.

### gtk.IconView.set_item_width

        def set_item_width(item_width)

`item_width` : | The space used to display an item or -1 to use the width of the largest item.

### Note

This method is available in PyGTK 2.6 and above.

The `set_item_width`() method sets the "item-width" property to the value of `item_width`. `item_width` should contain the maximum space (in pixels) to use to display an item in the icon view or -1 to use the width of the largest item.

### gtk.IconView.get_item_width

        def get_item_width()

Returns : | the space available for displaying an item or -1.

### Note

This method is available in PyGTK 2.6 and above.

The `get_item_width`() method returns the value of the "item-width" property that contains the space available for displaying an item. See the `set_item_width`() method for more information.

### gtk.IconView.set_spacing

        def set_spacing(spacing)

`spacing` : | The space between the cells of an item in the icon view

### Note

This method is available in PyGTK 2.6 and above.

The `set_spacing`() method sets the "spacing" property to the value of `spacing`. `spacing` should contain the space in pixels that is inserted between the cells of an item in the icon view.

### gtk.IconView.get_spacing

        def get_spacing()

Returns : | the space in pixels that is inserted between cells in the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `get_spacing`() method returns the value of the "spacing" property that contains the space in pixels that is inserted between the cells of an item in the icon view. See the `set_spacing`() method for more information.

### gtk.IconView.set_row_spacing

        def set_row_spacing(row_spacing)

`row_spacing` : | the space between rows in the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `set_row_spacing`() method sets the "row-spacing" property to the value of `row_spacing`. `row_spacing` should contain the space in pixels to be inserted between rows in the icon view..

### gtk.IconView.get_row_spacing

        def get_row_spacing()

Returns : | the space between rows in the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `get_row_spacing`() method returns the value of the "row-spacing" property that contains the space in pixels inserted between the rows in the icon view. See the `set_row_spacing`() method for more information.

### gtk.IconView.set_column_spacing

        def set_column_spacing(column_spacing)

`column_spacing` : | The space inserted between columns in the icon view

### Note

This method is available in PyGTK 2.6 and above.

The `set_column_spacing`() method sets the "column-spacing" property to the value of `column_spacing`. `column_spacing` should contain the space in pixels to be inserted between columns in the icon view.

### gtk.IconView.get_column_spacing

        def get_column_spacing()

Returns : | the space between columns in the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `get_column_spacing`() method returns the value of the "column-spacing" property that contains the space in pixels between the columns in the icon view. See the `set_column_spacing`() method for more information.

### gtk.IconView.set_margin

        def set_margin(margin)

`margin` : | the space inserted at the edges of the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `set_margin`() method sets the "margin" property to the value of `margin`. `margin` should contain the space in pixels to be inserted at the edges of the icon view.

### gtk.IconView.get_margin

        def get_margin()

Returns : | the space inserted at the edges of the icon view.

### Note

This method is available in PyGTK 2.6 and above.

The `get_margin`() method returns the value of the "margin" property that continas the space in pixels inserted at the edges of the icon view. See the `set_margin`() method for more information.

### gtk.IconView.select_path

        def select_path(path)

`path` : | a path indicating the icon to be selected

### Note

This method is available in PyGTK 2.6 and above.

The `select_path` method selects the icon with the tree path specified by `path`.

### gtk.IconView.unselect_path

        def unselect_path(path)

`path` : | a path indicating the icon to be unselected

### Note

This method is available in PyGTK 2.6 and above.

The `unselect_path` method unselects the icon with the tree path specified by `path`.

### gtk.IconView.path_is_selected

        def path_is_selected(path)

`path` : | a path of an icon.
Returns : | `True` if `path` is selected.

### Note

This method is available in PyGTK 2.6 and above.

The `path_is_selected`() method returns `True` if the icon with the tree path specified by `path` is selected.

### gtk.IconView.get_selected_items

        def get_selected_items()

Returns : | a list of the paths of the selected icons.

### Note

This method is available in PyGTK 2.6 and above.

The `get_selected_items`() method returns a list of the paths of the selected icons.

### gtk.IconView.select_all

        def select_all()

### Note

This method is available in PyGTK 2.6 and above.

The `select_all`() method selects all the icons if the selection mode is set to `gtk.SELECTION_MULTIPLE`.

### gtk.IconView.unselect_all

        def unselect_all()

### Note

This method is available in PyGTK 2.6 and above.

The `unselect_all`() method unselects all the icons.

### gtk.IconView.item_activated

        def item_activated(path)

`path` : | a tree path pointing to an icon row.

### Note

This method is available in PyGTK 2.6 and above.

The `item_activated`() method activates the icon pointed to by the path specified by `path`.

### gtk.IconView.scroll_to_path

        def scroll_to_path(path, use_align, row_align, col_align)

`path` : | the path of the item to move to.
`use_align` : | if `True` use the alignment arguments
`row_align` : | the vertical alignment of the item specified by `path`.
`col_align` : | The horizontal alignment of the item specified by `path`.

### Note

This method is available in PyGTK 2.8 and above.

The `scroll_to_path`() method moves the alignments of the icon view to the position specified by `path`. `row_align` determines where the row is placed, and `col_align` determines where column is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center.

If `use_align` is `False`, then the alignment arguments are ignored, and the icon view does the minimum amount of work to scroll the item onto the screen. This means that the item will be scrolled to the edge closest to its current position. If the item is currently visible on the screen, nothing is done.

This method only works if the model is set, and `path` is a valid row on the model. If the model changes before the icon view is realized, the centered path will be modified to reflect this change.

### gtk.IconView.get_visible_range

        def get_visible_range()

Returns : | a 2-tuple containing the start and end paths of the visible region or `None`.

### Note

This method is available in PyGTK 2.8 and above.

The `get_visible_range`() method returns a 2-tuple containing the start and end paths for the visible region in the iconview. If no valid paths are available this method returns `None`.

### gtk.IconView.enable_model_drag_source

        def enable_model_drag_source(start_button_mask, targets, actions)

`start_button_mask` : | the mask of buttons allowed to start drag
`targets` : | a sequence of 3-tuples containing target information that the drag will support
`actions` : | the combination of possible GDK Drag Action Constants for a drag from the iconview

### Note

This method is available in PyGTK 2.8 and above.

The `enable_model_drag_source`() method enables the iconview to be used as a drag source for automatic DND. `start_button_mask` specifies a combination of the GDK Modifier Constants that can start the drag. `targets` is a sequence (tuple or list) of 3-tuples each containing target information: a string representing the drag type, target flags (a combination of `gtk.TARGET_SAME_APP` and `gtk.TARGET_SAME_WIDGET` or neither) and an application assigned integer ID used for identification purposes. `actions` is a combination of the GDK Drag Action Constants supported by the iconview.

### gtk.IconView.enable_model_drag_dest

        def enable_model_drag_dest(targets, actions)

`targets` : | a sequence of 3-tuples containing target information that the iconview will support for a drag drop
`actions` : | the combination of possible GDK Drag Action Constants for a drag drop onto to the iconview

### Note

This method is available in PyGTK 2.8 and above.

The `enable_model_drag_dest`() method enables the iconview to be a destination for a drag drop. `targets` is a sequence (tuple or list) of 3-tuples each containing target information: a string representing the drag type, target flags (a combination of `gtk.TARGET_SAME_APP` and `gtk.TARGET_SAME_WIDGET` or neither) and an application assigned integer ID used for identification purposes. `actions` is a combination of the GDK Drag Action Constants supported by the iconview.

### gtk.IconView.unset_model_drag_source

        def unset_model_drag_source()

### Note

This method is available in PyGTK 2.8 and above.

The `unset_model_drag_source`() method undoes the effect of the `enable_model_drag_source`() method.

### gtk.IconView.unset_model_drag_dest

        def unset_model_drag_dest()

### Note

This method is available in PyGTK 2.8 and above.

The `unset_model_drag_dest`() method undoes the effect of the `enable_model_drag_dest`() method.

### gtk.IconView.set_reorderable

        def set_reorderable(reorderable)

`reorderable` : | if `True` the items are reorderable.

### Note

This method is available in PyGTK 2.8 and above.

The `set_reorderable`() method sets the "reorderable" property to the value of `reorderable`. If `reorderable` is `True` the user can reorder the model by dragging and dropping rows. The developer can listen to these changes by connecting to the model's "row_inserted" and "row_deleted" signals.

This method does not give you any degree of control over the order -- any reordering is allowed. If more control is needed, you should probably handle drag and drop manually.

### gtk.IconView.get_reorderable

        def get_reorderable()

Returns : | `True` if the iconview list can be reordered.

### Note

This method is available in PyGTK 2.8 and above.

The `get_reorderable`() method returns the value of the "reorderable" property. If "reorderable" is `True` the user can reorder iconview using drag-and-drop.

### gtk.IconView.set_drag_dest_item

        def set_drag_dest_item(path, pos)

`path` : | the path of the item to highlight, or `None` .
`pos` : | specifies where to drop, relative to the item

### Note

This method is available in PyGTK 2.8 and above.

The `set_drag_dest_item`() method highlights for feedback the item specified by `path`. `pos` is one of the GTK IconView Drop Position Constants that specifies where the drop is to take place relative to the receiving item.

In PyGTK 2.10 and above, `path` may be `None`.

### gtk.IconView.get_drag_dest_item

        def get_drag_dest_item()

Returns : | a 2-tuple containing the path of the highlighted item and one of the GTK IconView Drop Position Constants specifying the relative drop location or `None`.

### Note

This method is available in PyGTK 2.8 and above.

The `get_drag_dest_item`() method returns a 2-tuple containing the path of the highlighted item and one of the GTK IconView Drop Position Constants specifying the drop location relative to the receiving item. If there is no highlighted item, this method returns `None`.

### gtk.IconView.get_dest_item_at_pos

        def get_dest_item_at_pos(drag_x, drag_y)

`drag_x` : | the X position
`drag_y` : | the Y position
Returns : | a 2-tuple containing the path of the highlighted item and a relative drop location.

### Note

This method is available in PyGTK 2.8 and above.

The `get_dest_item_at_pos`() method returns a 2-tuple containing the path of the highlighted item at the location specified by `drag_x` and `drag_y` and the drop location relative to the receiving item. If there is no highlighted item, this method returns `None`.

### gtk.IconView.create_drag_icon

        def create_drag_icon(path)

`path` : | a path
Returns : | a `gtk.gdk.Pixmap` of the drag icon.

### Note

This method is available in PyGTK 2.8 and above.

The `create_drag_icon`() method returns a `gtk.gdk.Pixmap` representation of the item at the location specified by `path`. The return image can be used for a drag icon.

### gtk.IconView.convert_widget_to_bin_window_coords

        def convert_widget_to_bin_window_coords(widget_x, widget_y)

`widget_x` : | X coordinate relative to the widget.
`widget_y` : | Y coordinate relative to the widget.
Returns : | A tuple containing the bin_window X and Y coordinates.

### Note

This method is available in PyGTK 2.12 and above.

Converts widget coordinates to coordinates for the bin_window, as expected by e.g. `get_path_at_pos`.

### gtk.IconView.set_tooltip_cell

        def set_tooltip_cell(tooltip, path, cell)

`tooltip` : | A tooltip.
`path` : | A path.
`cell` : | A cell renderer or `None`.

### Note

This method is available in PyGTK 2.12 and above.

The `set_tooltip_cell`() method sets the tip area of `tooltip` to the area which `cell` occupies in the item pointed to by `path`. See also `gtk.Tooltip.set_tip_area`().

### gtk.IconView.set_tooltip_column

        def set_tooltip_column(column)

`column` : | An integer, which is a valid column number for icon_view's model

### Note

This method is available in PyGTK 2.12 and above.

If you only plan to have simple (text-only) tooltips on full items, you can use this function to have GtkIconView handle these automatically for you. column should be set to the column in icon_view's model containing the tooltip texts, or -1 to disable this feature.

When enabled, GtkWidget::has-tooltip will be set to `True` and icon_view will connect a GtkWidget::query-tooltip signal handler.

### gtk.IconView.get_tooltip_column

        def get_tooltip_column()

Returns : | The index of the tooltip column that is currently being used, or -1 if this is disabled.

### Note

This method is available in PyGTK 2.12 and above.

The `get_tooltip_column`() method returns the column of icon_view's model which is being used for displaying tooltips on icon_view's rows.

### gtk.IconView.set_tooltip_item

        def set_tooltip_cell(tooltip, path)

`tooltip` : | A tooltip.
`path` : | A path.

### Note

This method is available in PyGTK 2.12 and above.

The `set_tooltip_item`() method sets the tip area of `tooltip` to be the area covered by the item at `path`. See also `gtk.Tooltip.set_tip_area`().

### gtk.IconView.get_item_row

        def get_item_row(path)

`path` : | The path of the item.
Returns : | The row in which the item is displayed.

### Note

This method is available in PyGTK 2.22 and above.

The `get_item_row`() method gets the row in which the item path is currently displayed. Row numbers start at 0.

### gtk.IconView.get_item_column

        def get_item_column(path)

`path` : | The path of the item.
Returns : | The column in which the item is displayed.

### Note

This method is available in PyGTK 2.22 and above.

The `get_item_column`() method gets the column in which the item path is currently displayed. Column numbers start at 0.

### gtk.IconView.set_item_orientation

        def set_item_orientation(orientation)

`orientation` : | The relative position of texts and icons.

### Note

This method is available in PyGTK 2.22 and above.

The `set_item_orientation`() method sets the "item-orientation" property which determines whether the labels are drawn beside the icons instead of below.

### gtk.IconView.get_item_orientation

        def get_item_orientation()

Returns : | The relative position of texts and icons.

### Note

This method is available in PyGTK 2.22 and above.

The `get_item_orientation`() method returns the value of the "item-orientation" property which determines whether the labels are drawn beside the icons instead of below.

### gtk.IconView.set_item_padding

        def set_item_padding(item_padding)

`item_padding` : | The item padding.

### Note

This method is available in PyGTK 2.22 and above.

The `set_item_padding`() method sets the "item-padding" property which specifies the padding around each of the icon view's items.

### gtk.IconView.get_item_padding

        def get_item_padding()

Returns : | The padding around items.

### Note

This method is available in PyGTK 2.22 and above.

The `get_item_padding`() method returns the value of the "item-padding" property.

## Signals

### The "activate-cursor-item" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)
Returns : | `True` if the signal was handled.

The "activate-cursor-item" signal is emitted when an icon is selected and the Enter key is pressed.

### The "item-activated" gtk.IconView Signal

        def callback(iconview, path, user_param1, ...)

`iconview` : | the widget that received the signal
`path` : | the path to the activated icon item.
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "item-activated" signal is emitted when an icon item is activated by the user double clicking an icon item, pressing the Enter key when an icon item is selected or via a call to the `item_activated`() method.

### The "move-cursor" gtk.IconView Signal

        def callback(iconview, step, number, user_param1, ...)

`iconview` : | the widget that received the signal
`step` : | the step size to move the cursor
`number` : | the number of steps to move
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)
Returns : | `True` if the signal was handled.

The "move-cursor" signal is emitted when the cursor is moved using the keyboard keys: Up, Down, Control+p, Control+n, Home, End, Page_Up, Page_Down, Right, Left with various Shift and Control combinations. `step` will be one of the GTK Movement Step Constants.

### The "select-all" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "select-all" signal is emitted when all icon items are selected by pressing Control+a.

### The "select-cursor-item" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "select-cursor-item" signal is emitted when the icon item at the cursor is selected by the user pressing the Space key.

### The "selection-changed" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "selection-changed" signal is emitted when the selection is changed either by user action or program method calls.

### The "set-scroll-adjustments" gtk.IconView Signal

        def callback(iconview, hadj, vadj, user_param1, ...)

`iconview` : | the widget that received the signal
`hadj` : | the new horizontal `gtk.Adjustment`
`vadj` : | the new vertical `gtk.Adjustment`
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "set-scroll-adjustments" signal is emitted when the new horizontal and veritcal scroll `gtk.Adjustment` objects are set.

### The "toggle-cursor-item" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "toggle-cursor-item" signal is emitted when the user presses Control+Space.

### The "unselect-all" gtk.IconView Signal

        def callback(iconview, user_param1, ...)

`iconview` : | the widget that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "unselect-all" signal is emitted when the user presses Control+Shift+a.

Prev | Up | Next
gtk.IconTheme | Home | gtk.Image